Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.utilities
Class ResultEnumerator

    java.lang.Object
      |
      +--com.autonomy.utilities.ResultEnumerator

public class ResultEnumerator
extends java.lang.Object

To handle the overspill of results on to multiple pages in Portal-in-a-Box.

Field Summary
`java.lang.String` | `m_sButtonKeyName`
`java.lang.String` | `m_sStartKeyName`

Constructor Summary
`ResultEnumerator(int nTotalResults, int nResultsPerPage, int nPagesPerBlock)` Constructor:

Method Summary
`java.lang.String` | `getInfo()` Returns a string of the form "Results - of " for this query
`void` | `goToNextPage()` Goes to the next page
`void` | `goToPreviousPage()` Goes to the previous page
`void` | `setBookmark(java.lang.String sNew)` Sets the HTML bookmark links use ( ie #top )
`void` | `setButtonKeyName(java.lang.String sNew)` Sets the CGI variable used to store button data.
`void` | `setCSSAClass(java.lang.String sNew)` Sets the CSS class used to display links
`void` | `setCSSFontClass(java.lang.String sNew)` Sets the CSS class used to display fonts
`void` | `setHref(java.lang.String sNew)` Informs this class where HTML links are to go to
`void` | `setNextButton(java.lang.String sNew)` Sets a HTML string that will be used as the next button
`void` | `setPreviousButton(java.lang.String sNew)` Sets a HTML string that will be used as the previous button
`void` | `setStartKeyName(java.lang.String sNew)` Sets the CGI variable used to store result data.
`void` | `setStartResult(int nNew)` Sets the result number to start at
`java.lang.String` | `toString()` Returns some HTML to allow users to click around the results for this page.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_sStartKeyName

    public java.lang.String m_sStartKeyName

### m_sButtonKeyName

    public java.lang.String m_sButtonKeyName

Constructor Detail

### ResultEnumerator

    public ResultEnumerator(int nTotalResults,
                            int nResultsPerPage,
                            int nPagesPerBlock)

  Constructor:

Parameters:
  `nTotalResults` - Number of results returned from the query

Method Detail

### setPreviousButton

    public void setPreviousButton(java.lang.String sNew)

  Sets a HTML string that will be used as the previous button

### setNextButton

    public void setNextButton(java.lang.String sNew)

  Sets a HTML string that will be used as the next button

### setHref

    public void setHref(java.lang.String sNew)

  Informs this class where HTML links are to go to

### setCSSFontClass

    public void setCSSFontClass(java.lang.String sNew)

  Sets the CSS class used to display fonts

### setCSSAClass

    public void setCSSAClass(java.lang.String sNew)

  Sets the CSS class used to display links

### setBookmark

    public void setBookmark(java.lang.String sNew)

  Sets the HTML bookmark links use ( ie #top )

### setStartKeyName

    public void setStartKeyName(java.lang.String sNew)

  Sets the CGI variable used to store result data. Defaults to "start" as in "&start=31"

### setButtonKeyName

    public void setButtonKeyName(java.lang.String sNew)

  Sets the CGI variable used to store button data. Defaults to "button" as in "&button=previous"

### setStartResult

    public void setStartResult(int nNew)

  Sets the result number to start at

### goToNextPage

    public void goToNextPage()

  Goes to the next page

### goToPreviousPage

    public void goToPreviousPage()

  Goes to the previous page

### getInfo

    public java.lang.String getInfo()

  Returns a string of the form "Results - of " for this query

### toString

    public java.lang.String toString()

  Returns some HTML to allow users to click around the results for this page. Use the gotoNextPage() and gotoPreviousPage() methods to change the page and hence the information returned by this method.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    HTML string of links to other pages of results from this one.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD